Bug 1750936

Summary: chance to maintain libimagequant on EPEL
Product: [Fedora] Fedora Reporter: Breno <breno>
Component: libimagequantAssignee: Sandro Mani <manisandro>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: manisandro, sergio, tis
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libimagequant-2.12.5-1.el8 libimagequant-2.12.5-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-30 02:14:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1750931    

Description Breno 2019-09-10 19:31:56 UTC
Hi,

Right now libimagequant is not maintained on EPEL.

This lib is specifically important for pngquant which is maintained on EPEL and will probably have a build on EPEL 8.

Would you please mind maintaining libimagequant on EPEL?

Thank you very much.

- Breno

Comment 1 Sergio Monteiro Basto 2019-09-10 20:47:52 UTC
Hi, have you fas account ? and are you in packager group ? is yes let me know I add you

Comment 2 Breno 2019-09-11 14:31:56 UTC
Hi Sergio,

I do have a fedora account (brandfbb), I am not in a packager group.
But, I'd like to help, yes.

Thank you.

Comment 3 Sergio Monteiro Basto 2019-09-12 22:16:05 UTC
(In reply to Breno from comment #2)
> Hi Sergio,
> 
> I do have a fedora account (brandfbb), I am not in a packager group.
> But, I'd like to help, yes.
> 
> Thank you.

Do you know what file to add to build on epel 8 ? , if yes , let me know , or do a pull request , with a fork here [1] ( I hadn't time yet to look on epel 8 stuff ) 

[1]
https://src.fedoraproject.org/rpms/libimagequant

Comment 4 Fedora Update System 2019-09-13 21:55:20 UTC
FEDORA-EPEL-2019-f5c0ca257e has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f5c0ca257e

Comment 5 Fedora Update System 2019-09-14 02:25:42 UTC
FEDORA-EPEL-2019-80caabc0f7 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-80caabc0f7

Comment 6 Fedora Update System 2019-09-14 06:19:45 UTC
libimagequant-2.12.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f5c0ca257e

Comment 7 Fedora Update System 2019-09-15 02:55:34 UTC
libimagequant-2.12.5-1.el8, pngquant-2.12.5-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-80caabc0f7

Comment 8 Tuomo Soini 2019-09-16 07:34:52 UTC
This update breaks pngquant on epel7. Matching pngquant need to be build too!

Comment 9 Fedora Update System 2019-09-16 13:24:38 UTC
FEDORA-EPEL-2019-f5c0ca257e has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f5c0ca257e

Comment 10 Fedora Update System 2019-09-17 01:06:02 UTC
libimagequant-2.12.5-1.el7, pngquant-2.12.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f5c0ca257e

Comment 11 Fedora Update System 2019-09-30 02:14:39 UTC
libimagequant-2.12.5-1.el8, pngquant-2.12.5-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-10-09 17:27:59 UTC
libimagequant-2.12.5-1.el7, pngquant-2.12.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.